%%
clc
% clear;
% close all;

%% 
p = parameters;

%% Sim stuff
% T0 = 0;
% T1 = 30*2;
% p.t = T0:p.dt:T1;
% p.Nt = numel(p.t);
plottings = 1;
p.drawPeriod = 300;

% p.w0 = p.Wf +(p.k + p.K_a*1 )*p.v0

%%
[y,t] = runSim(p,plottings);

p.Ks = 100e3;    % N/m
[ys,t] = runSim(p,plottings);
%%
h = figure(12);
clf;
plot(t,y(5,1:p.Nt)*3600,'linewidth',2)
hold on;
plot(t,ys(5,1:p.Nt)*3600,'linewidth',2)
% plot(t,smooth(y(4,1:p.Nt),3e2),'linewidth',2)

tString = sprintf('$K_a=%d, \\ \\Omega_0=%.2f, \\ V_0=%.2f$',p.K_a,p.omega0,...
    p.v0);
l = legend('$v_b$ without tool','$v_b$ with tool','location','best'); 
set(l,'interpreter','latex');
% l = legend('$V_b$','$\Omega_b$'); set(l,'interpreter','latex');
l = xlabel('$t$ (s)'); set(l,'interpreter','latex');
l = ylabel('ROP (m/h)'); set(l,'interpreter','latex');
% boldify
ylim([0 80])
% xlim([0 30])

%%
h1 = figure(13); clf;
plot(t,y(6,1:p.Nt)*60/2/pi,'linewidth',2)
hold on
plot(t,ys(6,1:p.Nt)*60/2/pi,'linewidth',2)

l = legend('$\omega_b$ without tool','$\omega_b$ with tool','location','best');
set(l,'interpreter','latex');
% l = legend('$V_b$','$\Omega_b$'); set(l,'interpreter','latex');
l = xlabel('$t$ (s)'); set(l,'interpreter','latex');
l = ylabel('RPM'); set(l,'interpreter','latex');
% boldify
% xlim([0 30])
% plot(t,y(6,1:p.Nt));

%%
% h2 = figure(14); clf;
% plot(t,y(4,1:p.Nt)*1e-3,'linewidth',2)
% hold on
% plot(t,ys(4,1:p.Nt)*1e-3,'linewidth',2)
% plot(t,smooth(y(4,1:p.Nt),3e2)*1e-3,'linewidth',2)
% plot(t,smooth(ys(4,1:p.Nt),3e2)*1e-3,'linewidth',2)
% 
% l = legend('$w_b$ without tool','$w_b$ with tool','location','best');
% set(l,'interpreter','latex');
% l = xlabel('$t$ (s)'); set(l,'interpreter','latex');
% l = ylabel('kN'); set(l,'interpreter','latex');
% boldify
% xlim([0 30])
% plot(t,y(6,1:p.Nt));

%%

% pdfmatlabfrag2(h,'timeseriesCompAx1')
% pdfmatlabfrag2(h1,'timeseriesCompTor1')





