function [yLOG,t] = runSim(p,plottings)

if nargin == 1
    plottings = 1;
end

% d0  = p.tN0*p.v0;
% % Init vals
% xPos = linspace(0,1,p.P).';
% 
% v0 = xPos*0 + p.v0;
% omega0 = 1/p.tN0;
% if p.eta_a<0
%     h0 = p.w0 - flipud(linspace(p.ka*p.v0,0,p.P).');
% else
%     h0 = linspace(p.ka*p.v0,0,p.P).' +p.Wf+p.K_a/omega0*p.v0;
% end
% l0 = linspace(0,1,p.Pl)*p.v0/omega0;
% o0 = xPos*0 + omega0;
% f0 = d0 + p.Wf*p.beta + p.kt*omega0*(1-xPos);

Pt = p.Pp+p.Pc;

hp0 = p.Wf/p.zeta_ap*p.c_a *ones(p.Pp,1) *0;
hc0 = p.Wf/p.zeta_ac*p.c_a *ones(p.Pc,1) *0;
vp0 = 0*ones(p.Pp,1); 
vc0 = 0*ones(p.Pc,1); 
fp0 = p.Wf*p.beta/p.zeta_tp*p.c_t *ones(p.Pp,1) *0;
fc0 = p.Wf*p.beta/p.zeta_tc*p.c_t *ones(p.Pc,1) *0;
op0 = 0*ones(p.Pp,1);
oc0 = 0*ones(p.Pc,1);
l0  = 0*ones(p.Pl,1);
if isfield(p,'Ks')
    xs0 = -p.Wf/p.Ks*8e-1;
else
    xs0 = 0;
end

% Parse init states
x0(1:p.Pp)                = hp0;        % Axial Pipe Strain
x0(p.Pp+1:Pt)             = hc0;        % Axial Collar Strain
x0(Pt+1:Pt+p.Pp)          = vp0;        % Axial Pipe Velocity
x0(Pt+p.Pp+1:2*Pt)        = vc0;        % Axial Collar Velocity
x0(2*Pt+1:2*Pt+p.Pp)      = fp0;        % Angular Pipe Strain
x0(2*Pt+p.Pp+1:3*Pt)      = fc0;        % Angular Collar Strain
x0(3*Pt+1:3*Pt+p.Pp)      = op0;        % Angular Pipe Velocity
x0(3*Pt+p.Pp+1:4*Pt)      = oc0;        % Angular Collar Velocity
x0(4*Pt+1:4*Pt+p.Pl)      = l0;         % Distributed cut
x0(4*Pt+p.Pl+1)           = xs0;        % Shock Sub displacement

x = zeros(4*Pt+p.Pl+1,p.Nt);
y = zeros(3,p.Nt);
yLOG = zeros(4,p.Nt);
x(:,1) = x0;

%% Plot
if plottings
    [hAx,hBx] = setFigs(p);
end
%%
u.wb = 0;
u.tb = 0;
for k=1:p.Nt-1
    
    [x(:,k+1),y(1:4,k+1)] = waveStepUpwind(p,x(:,k),u);
    
    if plottings && mod(k,p.drawPeriod) == 0
        set(hAx(1),'XData',x(1:Pt,k)          ,'YData',p.x);
        set(hAx(2),'XData',x(Pt+1:2*Pt,k)     ,'YData',p.x);
        set(hAx(3),'XData',x(2*Pt+1:3*Pt,k)   ,'YData',p.x);
        set(hAx(4),'XData',x(3*Pt+1:4*Pt,k)   ,'YData',p.x);

        set(hAx(5),'XData',linspace(0,1,p.Pl+1), ...
            'YData',[0;x(4*Pt+1:4*Pt+p.Pl,k)]);
        %
        set(hBx(1),'XData',p.t,'YData',x(2*Pt,:));      % bit velocity
        set(hBx(2),'XData',p.t,'YData',x(4*Pt,:));      % bit angular velocity
        set(hBx(3),'XData',p.t,'YData',x(2*Pt,:));
        set(hBx(4),'XData',p.t,'YData',(y(1,:)));       % Norm depth of cut
        set(hBx(5),'XData',p.t,'YData',y(2,:));         % wf force

        drawnow
    %     F(k) = getframe(hFig);
    end
end

%% Log
yLOG(1:4,:) = y;
yLOG(5,1:p.Nt) = x(2*Pt,1:p.Nt);   % Bit axial velocity
yLOG(6,1:p.Nt) = x(4*Pt,1:p.Nt);   % Bit angular velocity
yLOG(7,1:p.Nt) = x(4*Pt+p.Pl+1,1:p.Nt);    % Shock sub displacement
t = p.t(1:p.Nt);









